Bug 1833474 - Review Request: ocaml-ppx-inline-test - Syntax extension for writing inline tests in OCaml code
Summary: Review Request: ocaml-ppx-inline-test - Syntax extension for writing inline t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1833473
Blocks: 1833475 1833476 1833477 1833478
TreeView+ depends on / blocked
 
Reported: 2020-05-08 17:44 UTC by Jerry James
Modified: 2020-06-04 02:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-04 02:54:41 UTC
Type: ---
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Jerry James 2020-05-08 17:44:07 UTC
Spec URL: https://jjames.fedorapeople.org/ocaml-ppx-inline-test/ocaml-ppx-inline-test.spec
SRPM URL: https://jjames.fedorapeople.org/ocaml-ppx-inline-test/ocaml-ppx-inline-test-0.13.1-1.fc33.src.rpm
Fedora Account System Username: jjames
Description: Ppx_inline_test is a syntax extension for writing inline tests in OCaml code.

Comment 1 Ankur Sinha (FranciscoD) 2020-05-23 15:06:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

Looks pretty good. A couple of things that I need to double-check before
approving:

- the ppx.exe file extension isn't listed in the guidelines, is that OK?
- are the build flags used in `dune build`?

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 39 files have unknown
     license. Detailed output of licensecheck in /home/asinha/dump/fedora-
     reviews/1833474-ocaml-ppx-inline-test/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[?]: %build honors applicable compiler flags or justifies otherwise.
^
I couldn't see this in the build.log where `dune build` is called. Could you
please check this?

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
^
I think it looks OK.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 19 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ocaml:
[x]: This should never happen
^
Eh, OK..

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
^
Not been able to check this.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
^
Tests cannot be run at the moment.

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ocaml-ppx-inline-test-0.13.1-1.fc33.x86_64.rpm
          ocaml-ppx-inline-test-devel-0.13.1-1.fc33.x86_64.rpm
          ocaml-ppx-inline-test-debuginfo-0.13.1-1.fc33.x86_64.rpm
          ocaml-ppx-inline-test-debugsource-0.13.1-1.fc33.x86_64.rpm
          ocaml-ppx-inline-test-0.13.1-1.fc33.src.rpm
ocaml-ppx-inline-test.x86_64: E: shared-lib-without-dependency-information /usr/lib64/ocaml/stublibs/dllppx_inline_test_runner_lib_stubs.so
^
This is OK for ocaml packages

5 packages and 0 specfiles checked; 1 errors, 0 warnings.


Rpmlint (debuginfo)
-------------------
Checking: ocaml-ppx-inline-test-debuginfo-0.13.1-1.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
ocaml-ppx-inline-test-debugsource.x86_64: W: invalid-url URL: https://github.com/janestreet/ppx_inline_test <urlopen error [Errno -2] Name or service not known>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
ocaml-ppx-inline-test-debuginfo.x86_64: W: invalid-url URL: https://github.com/janestreet/ppx_inline_test <urlopen error [Errno -2] Name or service not known>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
ocaml-ppx-inline-test-devel.x86_64: W: invalid-url URL: https://github.com/janestreet/ppx_inline_test <urlopen error [Errno -2] Name or service not known>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
ocaml-ppx-inline-test.x86_64: W: invalid-url URL: https://github.com/janestreet/ppx_inline_test <urlopen error [Errno -2] Name or service not known>
ocaml-ppx-inline-test.x86_64: E: shared-lib-without-dependency-information /usr/lib64/ocaml/stublibs/dllppx_inline_test_runner_lib_stubs.so
4 packages and 0 specfiles checked; 1 errors, 4 warnings.



Unversioned so-files
--------------------
ocaml-ppx-inline-test: /usr/lib64/ocaml/stublibs/dllppx_inline_test_runner_lib_stubs.so
^

This is OK for Ocaml packages.

Source checksums
----------------
https://github.com/janestreet/ppx_inline_test/archive/v0.13.1/ppx_inline_test-0.13.1.tar.gz :
  CHECKSUM(SHA256) this package     : 53ed241cf6b82953238e010bbe89d2ccf2f0bb70acb23b9c7a51804ddd3133a0
  CHECKSUM(SHA256) upstream package : 53ed241cf6b82953238e010bbe89d2ccf2f0bb70acb23b9c7a51804ddd3133a0


Requires
--------
ocaml-ppx-inline-test (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    ocaml(Ast_mapper)
    ocaml(Asttypes)
    ocaml(Base)
    ocaml(Base__)
    ocaml(Base__Applicative)
    ocaml(Base__Applicative_intf)
    ocaml(Base__Array)
    ocaml(Base__Backtrace)
    ocaml(Base__Binary_searchable)
    ocaml(Base__Binary_searchable_intf)
    ocaml(Base__Blit)
    ocaml(Base__Blit_intf)
    ocaml(Base__Bool)
    ocaml(Base__Buffer)
    ocaml(Base__Buffer_intf)
    ocaml(Base__Bytes)
    ocaml(Base__Bytes_set_primitives)
    ocaml(Base__Char)
    ocaml(Base__Comparable)
    ocaml(Base__Comparable_intf)
    ocaml(Base__Comparator)
    ocaml(Base__Comparisons)
    ocaml(Base__Container)
    ocaml(Base__Container_intf)
    ocaml(Base__Equal)
    ocaml(Base__Error)
    ocaml(Base__Exn)
    ocaml(Base__Field)
    ocaml(Base__Float)
    ocaml(Base__Floatable)
    ocaml(Base__Formatter)
    ocaml(Base__Hash)
    ocaml(Base__Hash_intf)
    ocaml(Base__Identifiable)
    ocaml(Base__Import)
    ocaml(Base__Import0)
    ocaml(Base__Indexed_container)
    ocaml(Base__Indexed_container_intf)
    ocaml(Base__Info)
    ocaml(Base__Info_intf)
    ocaml(Base__Int)
    ocaml(Base__Int0)
    ocaml(Base__Int32)
    ocaml(Base__Int63)
    ocaml(Base__Int63_emul)
    ocaml(Base__Int64)
    ocaml(Base__Int_intf)
    ocaml(Base__Intable)
    ocaml(Base__Invariant)
    ocaml(Base__Invariant_intf)
    ocaml(Base__Lazy)
    ocaml(Base__List)
    ocaml(Base__Maybe_bound)
    ocaml(Base__Monad)
    ocaml(Base__Monad_intf)
    ocaml(Base__Nativeint)
    ocaml(Base__Option)
    ocaml(Base__Or_error)
    ocaml(Base__Poly0)
    ocaml(Base__Ppx_compare_lib)
    ocaml(Base__Ppx_hash_lib)
    ocaml(Base__Ppx_sexp_conv_lib)
    ocaml(Base__Pretty_printer)
    ocaml(Base__Printf)
    ocaml(Base__Random)
    ocaml(Base__Ref)
    ocaml(Base__Result)
    ocaml(Base__Sequence)
    ocaml(Base__Sexp)
    ocaml(Base__Sexp_with_comparable)
    ocaml(Base__Sexpable)
    ocaml(Base__Sexplib)
    ocaml(Base__Sign)
    ocaml(Base__Sign0)
    ocaml(Base__Sign_or_nan)
    ocaml(Base__Source_code_position0)
    ocaml(Base__Staged)
    ocaml(Base__String)
    ocaml(Base__String0)
    ocaml(Base__Stringable)
    ocaml(Base__Sys0)
    ocaml(Base__T)
    ocaml(Base__Unit)
    ocaml(Base__Validate)
    ocaml(Base_internalhash_types)
    ocaml(Build_path_prefix_map)
    ocaml(Caml)
    ocaml(CamlinternalFormatBasics)
    ocaml(CamlinternalLazy)
    ocaml(CamlinternalMenhirLib)
    ocaml(Clflags)
    ocaml(Config)
    ocaml(Docstrings)
    ocaml(Inline_test_config)
    ocaml(Lexer)
    ocaml(Load_path)
    ocaml(Location)
    ocaml(Longident)
    ocaml(Migrate_parsetree)
    ocaml(Migrate_parsetree__)
    ocaml(Migrate_parsetree__Ast_402)
    ocaml(Migrate_parsetree__Ast_403)
    ocaml(Migrate_parsetree__Ast_404)
    ocaml(Migrate_parsetree__Ast_405)
    ocaml(Migrate_parsetree__Ast_406)
    ocaml(Migrate_parsetree__Ast_407)
    ocaml(Migrate_parsetree__Ast_408)
    ocaml(Migrate_parsetree__Ast_408_helper)
    ocaml(Migrate_parsetree__Ast_409)
    ocaml(Migrate_parsetree__Ast_409_helper)
    ocaml(Migrate_parsetree__Ast_410)
    ocaml(Migrate_parsetree__Ast_411)
    ocaml(Migrate_parsetree__Locations)
    ocaml(Migrate_parsetree__Migrate_parsetree_compiler_functions)
    ocaml(Migrate_parsetree__Migrate_parsetree_driver)
    ocaml(Migrate_parsetree__Migrate_parsetree_versions)
    ocaml(Migrate_parsetree__Option)
    ocaml(Migrate_parsetree__Stdlib0)
    ocaml(Misc)
    ocaml(Ocaml_common)
    ocaml(Ocaml_shadow)
    ocaml(Outcometree)
    ocaml(Parse)
    ocaml(Parser)
    ocaml(Parsetree)
    ocaml(Ppx_inline_test)
    ocaml(Ppx_inline_test_lib)
    ocaml(Ppx_inline_test_lib__Runtime)
    ocaml(Ppx_inline_test_libname)
    ocaml(Ppxlib)
    ocaml(Ppxlib__)
    ocaml(Ppxlib__Ast_builder)
    ocaml(Ppxlib__Ast_builder_generated)
    ocaml(Ppxlib__Ast_builder_intf)
    ocaml(Ppxlib__Ast_pattern)
    ocaml(Ppxlib__Ast_pattern0)
    ocaml(Ppxlib__Ast_pattern_generated)
    ocaml(Ppxlib__Ast_traverse)
    ocaml(Ppxlib__Attribute)
    ocaml(Ppxlib__Code_path)
    ocaml(Ppxlib__Common)
    ocaml(Ppxlib__Context_free)
    ocaml(Ppxlib__Driver)
    ocaml(Ppxlib__Expansion_context)
    ocaml(Ppxlib__Extension)
    ocaml(Ppxlib__File_path)
    ocaml(Ppxlib__Import)
    ocaml(Ppxlib__Loc)
    ocaml(Ppxlib__Location)
    ocaml(Ppxlib__Longident)
    ocaml(Ppxlib__Name)
    ocaml(Ppxlib__Spellcheck)
    ocaml(Ppxlib_ast)
    ocaml(Ppxlib_ast__)
    ocaml(Ppxlib_ast__Ast)
    ocaml(Ppxlib_ast__Import)
    ocaml(Ppxlib_ast__Lexer_helper)
    ocaml(Ppxlib_ast__Location_helper)
    ocaml(Ppxlib_ast__Pprintast)
    ocaml(Ppxlib_traverse_builtins)
    ocaml(Profile)
    ocaml(Sexplib0)
    ocaml(Sexplib0__Sexp)
    ocaml(Sexplib0__Sexp_conv)
    ocaml(Sexplib0__Sexp_conv_error)
    ocaml(Shadow_stdlib)
    ocaml(Stdio)
    ocaml(Stdio__)
    ocaml(Stdio__Import)
    ocaml(Stdio__In_channel)
    ocaml(Stdio__Out_channel)
    ocaml(Stdlib)
    ocaml(Stdlib__arg)
    ocaml(Stdlib__array)
    ocaml(Stdlib__buffer)
    ocaml(Stdlib__digest)
    ocaml(Stdlib__filename)
    ocaml(Stdlib__format)
    ocaml(Stdlib__hashtbl)
    ocaml(Stdlib__int32)
    ocaml(Stdlib__int64)
    ocaml(Stdlib__lazy)
    ocaml(Stdlib__lexing)
    ocaml(Stdlib__list)
    ocaml(Stdlib__listLabels)
    ocaml(Stdlib__map)
    ocaml(Stdlib__moreLabels)
    ocaml(Stdlib__nativeint)
    ocaml(Stdlib__obj)
    ocaml(Stdlib__parsing)
    ocaml(Stdlib__pervasives)
    ocaml(Stdlib__printexc)
    ocaml(Stdlib__printf)
    ocaml(Stdlib__random)
    ocaml(Stdlib__scanf)
    ocaml(Stdlib__seq)
    ocaml(Stdlib__set)
    ocaml(Stdlib__stdLabels)
    ocaml(Stdlib__string)
    ocaml(Stdlib__stringLabels)
    ocaml(Stdlib__sys)
    ocaml(Stdlib__uchar)
    ocaml(Syntaxerr)
    ocaml(Type_immediacy)
    ocaml(Warnings)
    ocamlx(CamlinternalLazy)
    ocamlx(Stdlib)
    ocamlx(Stdlib__arg)
    ocamlx(Stdlib__array)
    ocamlx(Stdlib__buffer)
    ocamlx(Stdlib__filename)
    ocamlx(Stdlib__hashtbl)
    ocamlx(Stdlib__list)
    ocamlx(Stdlib__printexc)
    ocamlx(Stdlib__printf)
    ocamlx(Stdlib__random)
    ocamlx(Stdlib__scanf)
    ocamlx(Stdlib__string)
    ocamlx(Stdlib__sys)
    rtld(GNU_HASH)

ocaml-ppx-inline-test-devel (rpmlib, GLIBC filtered):
    ocaml(Ast_mapper)
    ocaml(Asttypes)
    ocaml(Base)
    ocaml(Base__)
    ocaml(Base__Applicative)
    ocaml(Base__Applicative_intf)
    ocaml(Base__Array)
    ocaml(Base__Backtrace)
    ocaml(Base__Binary_searchable)
    ocaml(Base__Binary_searchable_intf)
    ocaml(Base__Blit)
    ocaml(Base__Blit_intf)
    ocaml(Base__Bool)
    ocaml(Base__Buffer)
    ocaml(Base__Buffer_intf)
    ocaml(Base__Bytes)
    ocaml(Base__Bytes_set_primitives)
    ocaml(Base__Char)
    ocaml(Base__Comparable)
    ocaml(Base__Comparable_intf)
    ocaml(Base__Comparator)
    ocaml(Base__Comparisons)
    ocaml(Base__Container)
    ocaml(Base__Container_intf)
    ocaml(Base__Equal)
    ocaml(Base__Error)
    ocaml(Base__Exn)
    ocaml(Base__Field)
    ocaml(Base__Float)
    ocaml(Base__Floatable)
    ocaml(Base__Formatter)
    ocaml(Base__Hash)
    ocaml(Base__Hash_intf)
    ocaml(Base__Identifiable)
    ocaml(Base__Import)
    ocaml(Base__Import0)
    ocaml(Base__Indexed_container)
    ocaml(Base__Indexed_container_intf)
    ocaml(Base__Info)
    ocaml(Base__Info_intf)
    ocaml(Base__Int)
    ocaml(Base__Int0)
    ocaml(Base__Int32)
    ocaml(Base__Int63)
    ocaml(Base__Int63_emul)
    ocaml(Base__Int64)
    ocaml(Base__Int_intf)
    ocaml(Base__Intable)
    ocaml(Base__Invariant)
    ocaml(Base__Invariant_intf)
    ocaml(Base__Lazy)
    ocaml(Base__List)
    ocaml(Base__Maybe_bound)
    ocaml(Base__Monad)
    ocaml(Base__Monad_intf)
    ocaml(Base__Nativeint)
    ocaml(Base__Option)
    ocaml(Base__Or_error)
    ocaml(Base__Poly0)
    ocaml(Base__Ppx_compare_lib)
    ocaml(Base__Ppx_hash_lib)
    ocaml(Base__Ppx_sexp_conv_lib)
    ocaml(Base__Pretty_printer)
    ocaml(Base__Printf)
    ocaml(Base__Random)
    ocaml(Base__Ref)
    ocaml(Base__Result)
    ocaml(Base__Sequence)
    ocaml(Base__Sexp)
    ocaml(Base__Sexp_with_comparable)
    ocaml(Base__Sexpable)
    ocaml(Base__Sexplib)
    ocaml(Base__Sign)
    ocaml(Base__Sign0)
    ocaml(Base__Sign_or_nan)
    ocaml(Base__Source_code_position0)
    ocaml(Base__Staged)
    ocaml(Base__String)
    ocaml(Base__String0)
    ocaml(Base__Stringable)
    ocaml(Base__Sys0)
    ocaml(Base__T)
    ocaml(Base__Unit)
    ocaml(Base__Validate)
    ocaml(Base_internalhash_types)
    ocaml(Build_path_prefix_map)
    ocaml(Caml)
    ocaml(CamlinternalFormatBasics)
    ocaml(CamlinternalLazy)
    ocaml(CamlinternalMenhirLib)
    ocaml(Clflags)
    ocaml(Config)
    ocaml(Docstrings)
    ocaml(Inline_test_config)
    ocaml(Lexer)
    ocaml(Load_path)
    ocaml(Location)
    ocaml(Longident)
    ocaml(Migrate_parsetree)
    ocaml(Migrate_parsetree__)
    ocaml(Migrate_parsetree__Ast_402)
    ocaml(Migrate_parsetree__Ast_403)
    ocaml(Migrate_parsetree__Ast_404)
    ocaml(Migrate_parsetree__Ast_405)
    ocaml(Migrate_parsetree__Ast_406)
    ocaml(Migrate_parsetree__Ast_407)
    ocaml(Migrate_parsetree__Ast_408)
    ocaml(Migrate_parsetree__Ast_408_helper)
    ocaml(Migrate_parsetree__Ast_409)
    ocaml(Migrate_parsetree__Ast_409_helper)
    ocaml(Migrate_parsetree__Ast_410)
    ocaml(Migrate_parsetree__Ast_411)
    ocaml(Migrate_parsetree__Locations)
    ocaml(Migrate_parsetree__Migrate_parsetree_compiler_functions)
    ocaml(Migrate_parsetree__Migrate_parsetree_driver)
    ocaml(Migrate_parsetree__Migrate_parsetree_versions)
    ocaml(Migrate_parsetree__Option)
    ocaml(Migrate_parsetree__Stdlib0)
    ocaml(Misc)
    ocaml(Ocaml_common)
    ocaml(Ocaml_shadow)
    ocaml(Outcometree)
    ocaml(Parse)
    ocaml(Parser)
    ocaml(Parsetree)
    ocaml(Ppx_inline_test)
    ocaml(Ppx_inline_test_lib)
    ocaml(Ppx_inline_test_lib__Runtime)
    ocaml(Ppx_inline_test_libname)
    ocaml(Ppxlib)
    ocaml(Ppxlib__)
    ocaml(Ppxlib__Ast_builder)
    ocaml(Ppxlib__Ast_builder_generated)
    ocaml(Ppxlib__Ast_builder_intf)
    ocaml(Ppxlib__Ast_pattern)
    ocaml(Ppxlib__Ast_pattern0)
    ocaml(Ppxlib__Ast_pattern_generated)
    ocaml(Ppxlib__Ast_traverse)
    ocaml(Ppxlib__Attribute)
    ocaml(Ppxlib__Code_path)
    ocaml(Ppxlib__Common)
    ocaml(Ppxlib__Context_free)
    ocaml(Ppxlib__Driver)
    ocaml(Ppxlib__Expansion_context)
    ocaml(Ppxlib__Extension)
    ocaml(Ppxlib__File_path)
    ocaml(Ppxlib__Import)
    ocaml(Ppxlib__Loc)
    ocaml(Ppxlib__Location)
    ocaml(Ppxlib__Longident)
    ocaml(Ppxlib__Name)
    ocaml(Ppxlib__Spellcheck)
    ocaml(Ppxlib_ast)
    ocaml(Ppxlib_ast__)
    ocaml(Ppxlib_ast__Ast)
    ocaml(Ppxlib_ast__Import)
    ocaml(Ppxlib_ast__Lexer_helper)
    ocaml(Ppxlib_ast__Location_helper)
    ocaml(Ppxlib_ast__Pprintast)
    ocaml(Ppxlib_traverse_builtins)
    ocaml(Profile)
    ocaml(Sexplib0)
    ocaml(Sexplib0__Sexp)
    ocaml(Sexplib0__Sexp_conv)
    ocaml(Sexplib0__Sexp_conv_error)
    ocaml(Shadow_stdlib)
    ocaml(Stdio)
    ocaml(Stdio__)
    ocaml(Stdio__Import)
    ocaml(Stdio__In_channel)
    ocaml(Stdio__Out_channel)
    ocaml(Stdlib)
    ocaml(Stdlib__arg)
    ocaml(Stdlib__array)
    ocaml(Stdlib__buffer)
    ocaml(Stdlib__digest)
    ocaml(Stdlib__filename)
    ocaml(Stdlib__format)
    ocaml(Stdlib__hashtbl)
    ocaml(Stdlib__int32)
    ocaml(Stdlib__int64)
    ocaml(Stdlib__lazy)
    ocaml(Stdlib__lexing)
    ocaml(Stdlib__list)
    ocaml(Stdlib__listLabels)
    ocaml(Stdlib__map)
    ocaml(Stdlib__moreLabels)
    ocaml(Stdlib__nativeint)
    ocaml(Stdlib__obj)
    ocaml(Stdlib__parsing)
    ocaml(Stdlib__pervasives)
    ocaml(Stdlib__printexc)
    ocaml(Stdlib__printf)
    ocaml(Stdlib__random)
    ocaml(Stdlib__scanf)
    ocaml(Stdlib__seq)
    ocaml(Stdlib__set)
    ocaml(Stdlib__stdLabels)
    ocaml(Stdlib__string)
    ocaml(Stdlib__stringLabels)
    ocaml(Stdlib__sys)
    ocaml(Stdlib__uchar)
    ocaml(Syntaxerr)
    ocaml(Type_immediacy)
    ocaml(Warnings)
    ocaml-base-devel(x86-64)
    ocaml-ppx-inline-test(x86-64)
    ocaml-ppxlib-devel(x86-64)
    ocamlx(CamlinternalLazy)
    ocamlx(Stdlib)
    ocamlx(Stdlib__arg)
    ocamlx(Stdlib__array)
    ocamlx(Stdlib__buffer)
    ocamlx(Stdlib__filename)
    ocamlx(Stdlib__hashtbl)
    ocamlx(Stdlib__list)
    ocamlx(Stdlib__printexc)
    ocamlx(Stdlib__printf)
    ocamlx(Stdlib__random)
    ocamlx(Stdlib__scanf)
    ocamlx(Stdlib__string)
    ocamlx(Stdlib__sys)

ocaml-ppx-inline-test-debuginfo (rpmlib, GLIBC filtered):

ocaml-ppx-inline-test-debugsource (rpmlib, GLIBC filtered):



Provides
--------
ocaml-ppx-inline-test:
    ocaml(Inline_test_config)
    ocaml(Ppx_inline_test)
    ocaml(Ppx_inline_test_drop)
    ocaml(Ppx_inline_test_lib)
    ocaml(Ppx_inline_test_lib__Runtime)
    ocaml(Ppx_inline_test_libname)
    ocaml(Ppx_inline_test_runner)
    ocaml(Ppx_inline_test_runner_lib)
    ocaml-ppx-inline-test
    ocaml-ppx-inline-test(x86-64)
    ocamlx(Inline_test_config)
    ocamlx(Ppx_inline_test)
    ocamlx(Ppx_inline_test_drop)
    ocamlx(Ppx_inline_test_lib)
    ocamlx(Ppx_inline_test_lib__Runtime)
    ocamlx(Ppx_inline_test_libname)
    ocamlx(Ppx_inline_test_runner)
    ocamlx(Ppx_inline_test_runner_lib)

ocaml-ppx-inline-test-devel:
    ocaml(Inline_test_config)
    ocaml(Ppx_inline_test)
    ocaml(Ppx_inline_test_drop)
    ocaml(Ppx_inline_test_lib)
    ocaml(Ppx_inline_test_lib__Runtime)
    ocaml(Ppx_inline_test_libname)
    ocaml(Ppx_inline_test_runner)
    ocaml(Ppx_inline_test_runner_lib)
    ocaml-ppx-inline-test-devel
    ocaml-ppx-inline-test-devel(x86-64)
    ocamlx(Inline_test_config)
    ocamlx(Ppx_inline_test)
    ocamlx(Ppx_inline_test_drop)
    ocamlx(Ppx_inline_test_lib)
    ocamlx(Ppx_inline_test_lib__Runtime)
    ocamlx(Ppx_inline_test_libname)
    ocamlx(Ppx_inline_test_runner)
    ocamlx(Ppx_inline_test_runner_lib)

ocaml-ppx-inline-test-debuginfo:
    debuginfo(build-id)
    ocaml-ppx-inline-test-debuginfo
    ocaml-ppx-inline-test-debuginfo(x86-64)

ocaml-ppx-inline-test-debugsource:
    ocaml-ppx-inline-test-debugsource
    ocaml-ppx-inline-test-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1833474
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Ocaml, C/C++
Disabled plugins: R, Java, SugarActivity, Haskell, fonts, PHP, Python, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Jerry James 2020-05-26 16:42:06 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #1)
> Looks pretty good. A couple of things that I need to double-check before
> approving:
> 
> - the ppx.exe file extension isn't listed in the guidelines, is that OK?

Yes.  It's a helper application.  Several of the ocaml-ppx* packages have them (or will have them, once they are introduced into Fedora).

> - are the build flags used in `dune build`?

They are.  Dune itself invokes the underlying ocaml tools to do the actual building.  Richard Jones has made those tools use the Fedora build flags.  Using readelf, for example, you can see that the binaries were all built with relro.

Comment 3 Ankur Sinha (FranciscoD) 2020-05-26 17:02:32 UTC
OK, that all sounds good! XXX APPROVED XXX

PS: any chance the FPC can be requested to update the ocaml guidelines to include the info on the flags etc. for novices like me :)?
https://docs.fedoraproject.org/en-US/packaging-guidelines/OCaml/

Comment 4 Jerry James 2020-05-26 20:13:50 UTC
Thank you!  I'll talk to Richard Jones about it.  He's the official keeper of all things OCaml in Fedora.

Comment 5 Gwyn Ciesla 2020-05-26 20:47:55 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ocaml-ppx-inline-test

Comment 6 Fedora Update System 2020-05-26 22:46:41 UTC
FEDORA-2020-433ac926c6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-433ac926c6

Comment 7 Fedora Update System 2020-05-27 02:21:39 UTC
FEDORA-2020-433ac926c6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-433ac926c6 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-433ac926c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-06-04 02:54:41 UTC
FEDORA-2020-433ac926c6 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.